Changes between Version 4 and Version 5 of TraineesNotes


Ignore:
Timestamp:
01/30/13 17:19:34 (9 years ago)
Author:
jdreed
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • TraineesNotes

    v4 v5  
    6060-- disjunctive dependencies ("OR") 
    6161--- APT looks through package list to see if any of the packages are installed.  If they do, success. 
    62 ---- if not, look at beginning of list, try to install that, if succeeds, success.  If not, try next. 
    63 ---- don't misuse them for optional deps (e.g. foo | basefiles), because basefiles will always satisfy it, and it'll never try foo. 
     62---if not, look at beginning of list, try to install that, if succeeds, success.  If not, try next. 
     63---don't misuse them for optional deps (e.g. foo | basefiles), because basefiles will always satisfy it, and it'll never try foo. 
    6464 
    6565Recommendations: 
     
    9494talk about "set -e" 
    9595doesn't _have_ to be in shell, but should be. 
    96 shell idiom " || :"  (if this fails, don't error out)  (|| true is more readble and equal nowadays) 
    97 "something || [ $? = 123 ]"  so if something returns 123, it's not an error, but other error codes might be 
     96    shell idiom " || :"  (if this fails, don't error out)  (|| true is more readble and equal nowadays) 
     97    "something || [ $? = 123 ]"  so if something returns 123, it's not an error, but other error codes might be 
    9898 
    9999